Credentials -api keys

Rotate API key

POST/platform/api-keys/{keyId}/rotate

Rotate an API key, returning a new secret

Authorization<token>

In: header

Path Parameters

keyId*string

API key ID

Response Body

200application/json

OK

type: object

api_key?object
created_at?string
expiring_at?string
id?string
last_used?string
name?string
org_id?string
project_id?string
project_name?string
secret?string
curl -X POST "https://api.rixl.com/platform/api-keys/string/rotate"
fetch("https://api.rixl.com/platform/api-keys/string/rotate", {
  method: "POST"
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://api.rixl.com/platform/api-keys/string/rotate"

  req, _ := http.NewRequest("POST", url, nil)

  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api.rixl.com/platform/api-keys/string/rotate"

response = requests.request("POST", url)

print(response.text)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;

HttpClient client = HttpClient.newBuilder()
  .connectTimeout(Duration.ofSeconds(10))
  .build();

HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
  .uri(URI.create("https://api.rixl.com/platform/api-keys/string/rotate"))
  .POST()
  .build();

try {
  HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
  System.out.println("Status code: " + response.statusCode());
  System.out.println("Response body: " + response.body());
} catch (Exception e) {
  e.printStackTrace();
}
using System;
using System.Net.Http;
using System.Text;

var client = new HttpClient();
var response = await client.PostAsync("https://api.rixl.com/platform/api-keys/string/rotate");
var responseBody = await response.Content.ReadAsStringAsync();

OK

application/json

{
  "api_key": {
    "created_at": "string",
    "expiring_at": "string",
    "id": "string",
    "last_used": "string",
    "name": "string",
    "org_id": "string",
    "project_id": "string",
    "project_name": "string",
    "secret": "string"
  }
}